%global momorel 8
%global src_ver 1.3

%{!?ruby_sitearchdir: %global ruby_sitearchdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}
%{!?ruby_sitelibdir: %global ruby_sitelibdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}

Name:           gonzui
Version:        %{src_ver}
Release:        %{momorel}m%{?dist}
Summary:        Source code search engine 
Group:          Development/Tools
License:        GPL
URL:            http://gonzui.sourceforge.net/
#Source0:        http://dl.sourceforge.net/sourceforge/%%{name}/%%{name}-%%{version}.tar.gz
#NoSource:       0
Source0:        %{name}-%{version}.tar.gz
Source1:        gonzui.init
Source2:        gonzuirc
Source3:        gonzui.logrotate
Patch1:         gonzui-1.2-multi_checkout.diff
Patch2:         gonzui-1.3-name_tagging.diff 
Patch3:         gonzui-1.2-svn_ssh.diff 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:         chkconfig
PreReq:         shadow-utils
Requires:       ruby-bdb
BuildPreReq:    ruby-devel >= 1.8.6-4m
BuildPreReq:    ruby-bdb
BuildPreReq:    langscan >= 1.2

#Requires(pre):     rpm-helper
#Requires(post):    rpm-helper
#Requires(postun):  rpm-helper
#Requires(preun):   rpm-helper

%description
Gonzui is a source code search engine for accelerating open source software 
development. In the open source software development, programmers frequently 
refer to source codes written by others.
 
Our goal is to help programmers develop programs effectively by creating a 
source code search engine that covers vast quantities of open source codes 
available on the Internet.

%prep

%setup -q
# more than one cvs
%patch1
# --name
%patch2
# svn+ssh support
%patch3

%build
%configure

%make

%check
#TODO

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
cp %{SOURCE1} %{buildroot}%{_initscriptdir}/%{name}
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}rc
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
cp %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

mkdir -p %{buildroot}%{_localstatedir}/%{name}
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%attr(0755,root,root) %{_initscriptdir}/%{name}
%config(noreplace)    %{_sysconfdir}/%{name}rc*
%{_datadir}/%{name}
%{_bindir}/%{name}-*
%{ruby_sitearchdir}/%{name}
%{ruby_sitelibdir}/%{name}
%{ruby_sitelibdir}/%{name}.rb
%{_localstatedir}/lib/%{name}
%{_localstatedir}/log/%{name}

%pre
/usr/sbin/userdel %{name} || :
/usr/sbin/groupadd -r %{name} || :
/usr/sbin/useradd -M -g %{name} -d %{_datadir}/%{name} -r -s /bin/false %{name}

%post
/sbin/chkconfig --add %{name}
/bin/chmod 0755 /var/lib/gonzui
/bin/touch /var/log/gonzui/gonzui.log
/bin/touch /var/log/gonzui/access.log

%preun
/sbin/chkconfig --del %{name}

%postun 
/usr/sbin/userdel %{name}  

%changelog
* Sat Jun 27 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3-8m)
- revised logrotate

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-6m)
- rebuild against gcc43

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-5m)
- PreReq: chkconfig, shadow-utils

* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-4m)
- modify %%files for new ruby

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3-3m)
- rebuild against ruby-1.8.6-4m

* Tue Jan 09 2007 Kazuhiko <kazuhiko@fdiary.net>
- (1.3-2m)
- create 'gonzui' group at %%pre

* Thu Oct 12 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3-1m)
- update to 1.3
  update Patch2: gonzui-1.3-name_tagging.diff   

* Fri Jul 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-3m)
- create system account at %%pre

* Tue Jul 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-2m)
- do not start daemon at default

* Mon Jul 24 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2-1m)
- initial release to Momonga Linux
- spec and resource copied from mandriva and modified
- need to be superuser to import source files

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 1.2-2mdk
- do not own ruby libdir
- add a initscript, with a user
- add patch1, to have more than one cvs/svn repository
- add patch2, to have --name tagging
- add patch3, to add ssh:// for svn+ssh repository 
- add a logrotate file 

* Wed Nov 02 2005 Michael Scherer <misc@mandriva.org> 1.2-1mdk
- first package
